;------------------------------------------------
;
;                  TUTO  -  ASM
;
;------------------------------------------------
;    Essai de programmation d'un jeu en ASM
;------------------------------------------------
;				  MSXosaure 2014...
;------------------------------------------------
;
;------------------------------------------------
;                 Initialisation
;------------------------------------------------
       .bios
       .page   2
       .rom
       .start  DEBUT
;
;------------------------------------------------
; 			Constantes VRAM
;------------------------------------------------
       CHRTBL  equ     0000h
       NAMTBL  equ     1800h
       CLRTBL  equ     2000h
       SPRTBL  equ     3800h
       SPRATR  equ     1b00h
;------------------------------------------------
DEBUT:
; slection screen
       call    DISSCR
; rglage COLOR 11,1,1
        ld      hl,0f3e9h
        ld      [hl],15
        inc     hl
        ld      [hl],12
        inc     hl
        ld      [hl],1
; SCREEN 2
        call    INIGRP
; SCREEN ,2
        ld      bc,06201h
        call    WRTVDP
; Definition des formes sprites
        ld      hl,SPR_PATRON
        ld      de,SPRTBL; + 32
        ld      bc,20*32
        call    LDIRVM	
; Definition des attributs sprites
        ld      hl,ATT_SPRITES
        ld      de,SPRATR
        ld      bc,8*4
        call    LDIRVM	
		
; Boucle for the future...		
LOOP:
	
	jp		LOOP
;	
;----------------------------------------------------------
; 						Donnes
;----------------------------------------------------------
;		
; Patron des sprites
SPR_PATRON:
.INCLUDE"data_sprites.asm"	
;
; Attribut sprites 
;
; X, Y, N, Couleur
ATT_SPRITES:
	db	80,80,0,1	
	db	80,80,4,11	
	db	80,160,8,1
	db	80,160,12,11
	db	160,80,16,1	
	db	160,80,20,9	
	db	160,160,24,1
	db	160,160,28,9
	
